Does VMAN support the newest VCenter 7.03U?

Our vcenter has been upgraded to version 7.03U but we cannot add it to the VMAN.